Bug 60891 - No X with X.Org X Server 1.13.* and SiS video driver
Summary: No X with X.Org X Server 1.13.* and SiS video driver
Status: RESOLVED MOVED
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/SiS (show other bugs)
Version: unspecified
Hardware: Other Linux (All)
: high critical
Assignee: Xorg Project Team
QA Contact: Xorg Project Team
URL: https://bugs.mageia.org/show_bug.cgi?...
Whiteboard:
Keywords: patch
Depends on: 35763
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-15 11:18 UTC by Marja van Waes
Modified: 2018-08-10 20:47 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marja van Waes 2013-02-15 11:18:30 UTC
Since X.Org X Server 1.13.0 (and now using 1.13.2), X segfaults when trying to start it while using the SiS video driver. Vesa driver works fine.
SiS video driver is version 0.10.7

Finding bug 35763 helped me to find a better workaround than using the Vesa driver:

adding 
 
Option "NoAccel" "true"

to the Section "Device" about SiS in /etc/X11/xorg.conf
made the SiS driver usable again.

Of course, the best solution would be if someone would fix bug 35763 :)
Comment 1 Anton Aylward 2013-03-16 22:09:51 UTC
I've observed this segfault problem as well.
The SiS driver seems to be sadly under-maintained for one that is so widely, dare I say 'cheap and cheerfully' installed.  The high end, more powerful boards seem to attack the attention.  

I occasionally see boasts that Linux runs well on old equipment that Windows has bypassed.  Now I'm having to maintain some such old equipment I'm not sure its a valid boast.  Maybe it only applies to old version of Linux or _some_ version of Linux.
Comment 2 Marja van Waes 2013-03-18 21:54:35 UTC
If fixing bug 35763 isn't possible, is it then possible to let the SiS video driver add

Option "NoAccel" "true"

to the SiS Device section in /etc/X11/xorg.conf ?

It would be great if at least that could be done :-D
Comment 3 Assen Totin 2013-04-24 15:03:44 UTC
If you're bold enough, here is my guide how to get back a fully accelerated X server on Fedora 18 by compiling an older version of X.org manually. Also works on CentOS 6.4 (tried myself few days ago). 

http://www.zavedil.com/accelerated-x-server-for-sis-video-on-fedora-18/

WWell,
Comment 4 Marja van Waes 2013-04-28 17:50:14 UTC
@ Assen

I'm not that bold ;)

Anyway, for Mageia this has been fixed thanks to this ArchLinux patch:

https://projects.archlinux.org/svntogit/packages.git/tree/trunk/0001-Disable-UploadToScreen-and-DownloadFromScreen.patch?h=packages/xf86-video-sis

I can nicely watch movies again :-D
Comment 5 Eugenij Shkrigunov 2013-04-29 06:30:48 UTC
(In reply to comment #4)
> @ Assen
> 
> I'm not that bold ;)
> 
> Anyway, for Mageia this has been fixed thanks to this ArchLinux patch:
> 
> https://projects.archlinux.org/svntogit/packages.git/tree/trunk/0001-Disable-
> UploadToScreen-and-DownloadFromScreen.patch?h=packages/xf86-video-sis
> 
> I can nicely watch movies again :-D

This does not works for some cards. See
https://bugs.gentoo.org/show_bug.cgi?id=444442#c3
Comment 6 Marja van Waes 2013-04-29 07:28:57 UTC
(In reply to comment #5)
> (In reply to comment #4)

> > 
> > https://projects.archlinux.org/svntogit/packages.git/tree/trunk/0001-Disable-
> > UploadToScreen-and-DownloadFromScreen.patch?h=packages/xf86-video-sis
> > 
> > I can nicely watch movies again :-D
> 
> This does not works for some cards. See
> https://bugs.gentoo.org/show_bug.cgi?id=444442#c3

Sorry to hear that :-(

Do you mind listing here with which exact cards the patch works, and with which ones it doesn't

SiS 661FX is my card (going by the system's specifications, that is), with which the patch works. 

Does addin 

Option "NoAccel" "true"

to the SiS Device section in /etc/X11/xorg.conf
Comment 7 Marja van Waes 2013-04-29 07:30:00 UTC
does adding that option help for the systems where the patch didn't work?
Comment 8 Eugenij Shkrigunov 2013-04-29 10:14:56 UTC
(In reply to comment #7)
> does adding that option help for the systems where the patch didn't work?

Option "NoAccel" unacceptable at all.
Computers with such cards are very old and have uses as X-terminals (LTSP). Performance with the option "NoAccel" so bad that these computers can not be used.
Please cooperate with https://bugs.freedesktop.org/show_bug.cgi?id=15190 - maybe it help solve this problem.

Sorry for my English.
Comment 9 Eugenij Shkrigunov 2013-04-29 10:20:15 UTC
> Do you mind listing here with which exact cards the patch works, and with
> which ones it doesn't

work:
01:00.0 VGA compatible controller [0300]: Silicon Integrated Systems [SiS] 661/741/760 PCI/AGP or 662/761Gx PCIE VGA Display Adapter [1039:6330] (prog-if 00 [VGA controller])
        Subsystem: Foxconn International, Inc. Device [105b:0c56]
        Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Interrupt: pin A routed to IRQ 10
        BIST result: 00
        Region 0: Memory at e0000000 (32-bit, prefetchable) [size=128M]
        Region 1: Memory at ed000000 (32-bit, non-prefetchable) [size=128K]
        Region 2: I/O ports at c000 [size=128]
        Expansion ROM at <unassigned> [disabled]
        Capabilities: [40] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [50] AGP version 3.0
                Status: RQ=256 Iso- ArqSz=0 Cal=0 SBA+ ITACoh- GART64- HTrans- 64bit- FW- AGP3+ Rate=x4,x8
                Command: RQ=1 ArqSz=0 Cal=0 SBA- AGP- GART64- 64bit- FW- Rate=<none>

dmidecode:
BIOS Information
        Vendor: Phoenix Technologies, LTD
        Version: 6.00 PG
        Release Date: 03/14/2005


does not work:
01:00.0 VGA compatible controller [0300]: Silicon Integrated Systems [SiS] 661/741/760 PCI/AGP or 662/761Gx PCIE VGA Display Adapter [1039:6330] (prog-if 00 [VGA controller])
        Subsystem: ASUSTeK Computer Inc. SiS Real 256E (ASUS P5S800-VM motherboard) [1043:8113]
        Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Interrupt: pin A routed to IRQ 16
        BIST result: 00
        Region 0: Memory at f0000000 (32-bit, prefetchable) [size=128M]
        Region 1: Memory at e7800000 (32-bit, non-prefetchable) [size=128K]
        Region 2: I/O ports at d800 [size=128]
        Expansion ROM at <unassigned> [disabled]
        Capabilities: [40] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [50] AGP version 3.0
                Status: RQ=256 Iso- ArqSz=0 Cal=0 SBA+ ITACoh- GART64- HTrans- 64bit- FW- AGP3+ Rate=x4,x8
                Command: RQ=1 ArqSz=0 Cal=0 SBA- AGP- GART64- 64bit- FW- Rate=<none>

dmidecode:
BIOS Information
        Vendor: Award Software, Inc.
        Version: ASUS P4S800MX ACPI BIOS Revision 1010
        Release Date: 09/02/2004
Comment 10 Sebastian Reitenbach 2015-01-14 08:41:18 UTC
I ran into the same problem with OpenBSD 5.7-beta, starting windowmaker crashed Xenocara.

the patch from Ubuntu, that can be found here:
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-sis/+bug/1066464
and which is also mentioned in bug #35763 works for me.

full dmesg of the box below.

OpenBSD 5.7-beta (GENERIC) #1: Mon Jan 12 18:40:11 CET 2015
    sebastia@dax.ds9:/usr/src/sys/arch/i386/compile/GENERIC
cpu0: Intel(R) Celeron(R) M processor 1.60GHz ("GenuineIntel" 686-class) 1.61 GHz
cpu0: FPU,V86,DE,PSE,TSC,MSR,PAE,MCE,CX8,APIC,SEP,MTRR,PGE,MCA,CMOV,CFLUSH,DS,ACPI,MMX,FXSR,SSE,SSE2,SS,TM,PBE,NXE,PERF
real mem  = 467091456 (445MB)
avail mem = 447123456 (426MB)
mpath0 at root
scsibus0 at mpath0: 256 targets
mainbus0 at root
bios0 at mainbus0: AT/286+ BIOS, date 03/20/06, BIOS32 rev. 0 @ 0xfd600, SMBIOS rev. 2.31 @ 0x1bdfb000 (35 entries)
bios0: vendor Acer version "3A22" date 03/20/06
bios0: Acer, inc. Aspire 3630
acpi0 at bios0: rev 0
acpi0: sleep states S0 S3 S4 S5
acpi0: tables DSDT FACP APIC SSDT
acpi0: wakeup devices PCI0(S5) LAN_(S5) MODM(S3) KBC_(S4) USB0(S3) USB1(S3) USB2(S3) USB3(S3)
acpitimer0 at acpi0: 3579545 Hz, 24 bits
acpimadt0 at acpi0 addr 0xfee00000: PC-AT compat
cpu0 at mainbus0: apid 0 (boot processor)
mtrr: Pentium Pro MTRR support, 8 var ranges, 88 fixed ranges
cpu0: apic clock running at 100MHz
ioapic0 at mainbus0: apid 1 pa 0xfec00000, version 11, 24 pins
acpiprt0 at acpi0: bus 0 (PCI0)
acpiec0 at acpi0
acpicpu0 at acpi0: C3, C2
acpitz0 at acpi0: critical temperature is 97 degC
acpiac0 at acpi0: AC unit online
acpibat0 at acpi0: BAT1 not present
acpibtn0 at acpi0: LID_
acpibtn1 at acpi0: PWRB
acpibtn2 at acpi0: SLPB
bios0: ROM list: 0xc0000/0xc000 0xcc000/0xa000! 0xdc000/0x8000!
pci0 at mainbus0 bus 0: configuration mode 1 (bios)
pchb0 at pci0 dev 0 function 0 "SiS 661 PCI" rev 0x11
sisagp0 at pchb0
agp0 at sisagp0: aperture at 0xe0000000, size 0x2000000
ppb0 at pci0 dev 1 function 0 "SiS 648FX AGP" rev 0x00
pci1 at ppb0 bus 1
vga1 at pci1 dev 0 function 0 "SiS 6330 VGA" rev 0x00
wsdisplay0 at vga1 mux 1: console (80x25, vt100 emulation)
wsdisplay0: screen 1-5 added (80x25, vt100 emulation)
pcib0 at pci0 dev 2 function 0 "SiS 85C503 System" rev 0x25
pciide0 at pci0 dev 2 function 5 "SiS 5513 EIDE" rev 0x00: 661: DMA, channel 0 configured to compatibility, channel 1 configured to compatibility
wd0 at pciide0 channel 0 drive 0: <SAMSUNG HM160HC>
wd0: 16-sector PIO, LBA48, 152627MB, 312581808 sectors
wd0(pciide0:0:0): using PIO mode 4, Ultra-DMA mode 5
atapiscsi0 at pciide0 channel 1 drive 0
scsibus1 at atapiscsi0: 2 targets
cd0 at scsibus1 targ 0 lun 0: <Slimtype, DVDRW SSW-8015S, HRS2> ATAPI 5/cdrom removable
cd0(pciide0:1:0): using PIO mode 4, Ultra-DMA mode 4
"SiS 7013 Modem" rev 0xa0 at pci0 dev 2 function 6 not configured
auich0 at pci0 dev 2 function 7 "SiS 7012 AC97" rev 0xa0: apic 1 int 18, SiS7012 AC97
ac97: codec id 0x414c4770 (Avance Logic ALC203 rev 0)
ac97: codec features headphone, 20 bit DAC, 18 bit ADC, No 3D Stereo
audio0 at auich0
ohci0 at pci0 dev 3 function 0 "SiS 5597/5598 USB" rev 0x0f: apic 1 int 20, version 1.0, legacy support
ohci1 at pci0 dev 3 function 1 "SiS 5597/5598 USB" rev 0x0f: apic 1 int 21, version 1.0, legacy support
ehci0 at pci0 dev 3 function 3 "SiS 7002 USB" rev 0x00: apic 1 int 23
usb0 at ehci0: USB revision 2.0
uhub0 at usb0 "SiS EHCI root hub" rev 2.00/1.00 addr 1
sis0 at pci0 dev 4 function 0 "SiS 900 10/100BaseTX" rev 0x91: apic 1 int 19, address 00:16:36:55:5f:5a
rlphy0 at sis0 phy 13: RTL8201L 10/100 PHY, rev. 1
cbb0 at pci0 dev 6 function 0 "ENE CB-1410 CardBus" rev 0x01: apic 1 int 19
isa0 at pcib0
isadma0 at isa0
pckbc0 at isa0 port 0x60/5
pckbd0 at pckbc0 (kbd slot)
pckbc0: using irq 1 for kbd slot
wskbd0 at pckbd0: console keyboard, using wsdisplay0
pms0 at pckbc0 (aux slot)
pckbc0: using irq 12 for aux slot
wsmouse0 at pms0 mux 0
pms0: Synaptics touchpad, firmware 6.2
pcppi0 at isa0 port 0x61
spkr0 at pcppi0
npx0 at isa0 port 0xf0/16: reported by CPUID; using exception 16
usb1 at ohci0: USB revision 1.0
uhub1 at usb1 "SiS OHCI root hub" rev 1.00/1.00 addr 1
usb2 at ohci1: USB revision 1.0
uhub2 at usb2 "SiS OHCI root hub" rev 1.00/1.00 addr 1
cardslot0 at cbb0 slot 0 flags 0
cardbus0 at cardslot0: bus 2 device 0 cacheline 0x0, lattimer 0x20
pcmcia0 at cardslot0
rum0 at uhub0 port 4 "Ralink 802.11 bg WLAN" rev 2.00/0.01 addr 2
rum0: MAC/BBP RT2573 (rev 0x2573a), RF RT2528, address 00:22:b0:74:10:57
vscsi0 at root
scsibus2 at vscsi0: 256 targets
softraid0 at root
scsibus3 at softraid0: 256 targets
root on wd0a (dbce9aedec082000.a) swap on wd0b dump on wd0b
Comment 11 Adrian Nowicki 2015-01-27 14:39:57 UTC
Patch from Ubuntu also does work for (Acer Travelmate 2310):
01:00.0 VGA compatible controller: Silicon Integrated Systems [SiS] 661/741/760 PCI/AGP or 662/761Gx PCIE VGA Display Adapter (prog-if 00 [VGA controller])
	Subsystem: Acer Incorporated [ALI] Device 0082
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 7
	BIST result: 00
	Region 0: Memory at e8000000 (32-bit, prefetchable) [size=128M]
	Region 1: Memory at e2100000 (32-bit, non-prefetchable) [size=128K]
	Region 2: I/O ports at 9000 [size=128]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: [40] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [50] AGP version 3.0
		Status: RQ=256 Iso- ArqSz=0 Cal=0 SBA+ ITACoh- GART64- HTrans- 64bit- FW- AGP3+ Rate=x4,x8
		Command: RQ=1 ArqSz=0 Cal=0 SBA- AGP- GART64- 64bit- FW- Rate=<none>
00: 39 10 30 63 03 00 30 02 00 00 00 03 00 00 00 80
10: 08 00 00 e8 00 00 10 e2 01 90 00 00 00 00 00 00
20: 00 00 00 00 00 00 00 00 00 00 00 00 25 10 82 00
30: 00 00 00 00 40 00 00 00 00 00 00 00 07 01 00 00
Comment 12 GitLab Migration User 2018-08-10 20:47:45 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/xorg/driver/xf86-video-sis/issues/12.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.